Index: contrib/crossrpms/rtems4.9/sparc/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.9/sparc/Makefile.am	(revision c9274ae19a3930988957444fdb7a7754fc6912c5)
+++ contrib/crossrpms/rtems4.9/sparc/Makefile.am	(revision 5a9f3725d79e1fbb912e5d612e5442936e2de685)
@@ -18,9 +18,9 @@
 GCC_OPTS += --languages=cxx
 
-GDB_VERS = 6.5
+GDB_VERS = 6.6.90
 GDB_PKGVERS = $(GDB_VERS)
 GDB_RPMREL = 1%{?dist}
 include ../gdb.am
-GDB_OPTS +=
+GDB_OPTS += --disable-infos
 
 CPUKIT_VERS = 4.7.99.1
Index: contrib/crossrpms/rtems4.9/sparc/rtems-4.9-sparc-rtems4.9-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.9/sparc/rtems-4.9-sparc-rtems4.9-gdb.spec	(revision c9274ae19a3930988957444fdb7a7754fc6912c5)
+++ contrib/crossrpms/rtems4.9/sparc/rtems-4.9-sparc-rtems4.9-gdb.spec	(revision 5a9f3725d79e1fbb912e5d612e5442936e2de685)
@@ -14,6 +14,6 @@
 %endif
 
-%define gdb_version 6.5
-%define gdb_rpmvers %{expand:%(echo 6.5 | tr - _)} 
+%define gdb_version 6.6.90
+%define gdb_rpmvers %{expand:%(echo 6.6.90 | tr - _)} 
 
 Name:		rtems-4.9-sparc-rtems4.9-gdb
@@ -33,13 +33,8 @@
 %endif
 %endif
-# Required for building the infos
-BuildRequires:	/sbin/install-info
-BuildRequires:	texinfo >= 4.2
 %if "sparc-rtems4.9" == "sparc-rtems4.9"
 BuildRequires:	libtermcap-devel
 %endif
 BuildRequires:	ncurses-devel
-
-Requires:	rtems-4.9-gdb-common
 
 Source0:	ftp://ftp.gnu.org/pub/gnu/gdb/gdb-%{gdb_version}.tar.bz2
@@ -79,5 +74,4 @@
 
   make all
-  make info
   cd ..
 
@@ -97,20 +91,8 @@
     install
 
-  make prefix=$RPM_BUILD_ROOT%{_prefix} \
-    bindir=$RPM_BUILD_ROOT%{_bindir} \
-    includedir=$RPM_BUILD_ROOT%{_includedir} \
-    libdir=$RPM_BUILD_ROOT%{_libdir} \
-    infodir=$RPM_BUILD_ROOT%{_infodir} \
-    mandir=$RPM_BUILD_ROOT%{_mandir} \
-    install-info
 %endif
 
-  rm -f $RPM_BUILD_ROOT%{_infodir}/dir
-  touch $RPM_BUILD_ROOT%{_infodir}/dir
-
-# These come from other packages
-  rm -rf $RPM_BUILD_ROOT%{_infodir}/bfd*
-  rm -rf $RPM_BUILD_ROOT%{_infodir}/configure*
-  rm -rf $RPM_BUILD_ROOT%{_infodir}/standards*
+# Conflict with a native gdb's infos
+  rm -rf $RPM_BUILD_ROOT%{_infodir}
 
 # We don't ship host files
@@ -178,49 +160,2 @@
 %{_bindir}/sparc-rtems4.9-*
 
-# ==============================================================
-# rtems-4.9-gdb-common
-# ==============================================================
-%package -n rtems-4.9-gdb-common
-Summary:      Base package for RTEMS gdbs
-Group: Development/Tools
-Requires(post):		/sbin/install-info
-Requires(preun):	/sbin/install-info
-
-%description -n rtems-4.9-gdb-common
-
-GDB files shared by all targets.
-
-%post -n rtems-4.9-gdb-common
-  /sbin/install-info --info-dir=%{_infodir} %{_infodir}/gdb.info.gz || :
-%if "%{gdb_version}" < "6.3"
-  /sbin/install-info --info-dir=%{_infodir} %{_infodir}/mmalloc.info.gz || :
-%endif
-  /sbin/install-info --info-dir=%{_infodir} %{_infodir}/gdbint.info.gz || :
-  /sbin/install-info --info-dir=%{_infodir} %{_infodir}/stabs.info.gz || :
-  /sbin/install-info --info-dir=%{_infodir} %{_infodir}/annotate.info.gz || :
-
-%preun -n rtems-4.9-gdb-common
-if [ $1 -eq 0 ]; then
-  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/gdb.info.gz || :
-%if "%{gdb_version}" < "6.3"
-  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/mmalloc.info.gz || :
-%endif
-  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/gdbint.info.gz || :
-  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/stabs.info.gz || :
-  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/annotate.info.gz || :
-fi
-
-%files -n rtems-4.9-gdb-common
-%defattr(-,root,root)
-%dir %{_infodir}
-%ghost %{_infodir}/dir
-%{_infodir}/gdb.info*
-
-# FIXME: When had mmalloc.info been removed?
-%if "%{gdb_version}" < "6.3"
-%{_infodir}/mmalloc.info*
-%endif
-%{_infodir}/gdbint.info*
-%{_infodir}/stabs.info*
-%{_infodir}/annotate.info*
-
